#pragma once

#include "Effect.h"
#include "my_fastled.h"

class ConfettiEffect : public Effect {
protected:
	virtual CRGB _getColor();
public:
	void loop(uint16_t ms);
	boolean can_be_shown_with_clock();
	String get_name() override { return "confetti"; }
};

class RandomConfettiEffect : public ConfettiEffect {
protected:
	CRGB _getColor() override;
	String get_name() override { return "random_confetti"; }
};

