#pragma once

#include "Effect.h"

class BigClockEffect : public Effect {
private:
	CRGB _color_font = CRGB(0xAAAAAA);
    CRGB _color_seconds_light = CRGB(0xFFFF00);
    CRGB _color_seconds_dark = CRGB(0xAA0000);
	CRGB _color_seconds_moving_light = CRGB(0x666600);
    CRGB _color_seconds_moving_dark = CRGB(0x660000);

    void _draw_seconds();
    void _draw_border_pixel(accum88 pos, CRGB* color);

public:
    void loop(uint16_t ms);
    String get_name() override { return "big_clock"; }
};
