#pragma once

#include "prototypes.h"
#include "functions.h"
#include "Effect.h"

class MarqueeEffect : public Effect {
private:
	Window* window = new Window(0, 0, LED_WIDTH, LED_HEIGHT-6);
	String _text = String("No text set +++ ");
	saccum78 _position = (window->width<<8);
public:
    boolean supports_window = true;
    boolean can_be_shown_with_clock();
    void loop(uint16_t ms);
    void apply_option(String key, String value) override;
    String get_name() override { return "marquee"; }
};

